package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.entity.CarKeyIndex;
import com.singularity.pojo.param.kc.KeyIndexParam;

import java.util.List;

/**
* @author luo
* @description 针对表【car_key_index】的数据库操作Mapper
* @createDate 2024-01-24 16:43:32
* @Entity .CarKeyIndex
*/
public interface CarKeyIndexMapper extends BaseMapper<CarKeyIndex> {
    /**
     * 插入excel数据列表
     * @param cachedDataList
     * @return
     */
    int insertList(List<CarKeyIndex> cachedDataList);

    /**
     * 查询第一个符号条件的关键指标
     * @param keyIndexParam
     * @return CarKeyIndex
     */
    CarKeyIndex select(KeyIndexParam keyIndexParam);
}




