package com.singularity.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.entity.ExperimentalResults;
import com.singularity.pojo.param.rideAbility.ExReParam;
import com.singularity.pojo.param.rideAbility.UpdateExResultParam;

import java.util.List;

/**
* @author thinkpad
* @description 针对表【experimental_results(平顺性实验结果表格数据)】的数据库操作Mapper
* @createDate 2024-02-29 20:03:41
* @Entity .ExperimentalResults
*/
public interface ExperimentalResultsMapper extends BaseMapper<ExperimentalResults> {

    int insertList(Integer carId,List<ExReParam> exReParamList);

    List<ExReParam> selectByCarId(Integer carId);

    int updateExResult(UpdateExResultParam updateExResultParam);
}




