package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.bo.kc.CompareKCEvaluationInfoBO;
import com.singularity.pojo.dto.kc.ExportKCEvaluationInfoDTO;
import com.singularity.pojo.dto.kc.kcEvaluationExcelDTO;
import com.singularity.pojo.entity.KcEvaluation;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;


public interface KcEvaluationMapper extends BaseMapper<KcEvaluation> {

    /**
     * 对比K&C关键指标信息
     */
    List<CompareKCEvaluationInfoBO> compareKCEvaluationInfo(@Param("attachIdSet") Set<Integer> attachIdSet);

    /**
     * 查询K&C导出关键指标数据
     * @param dto
     * @return
     */
    List<kcEvaluationExcelDTO> queryKCEvaluationInfoList(@Param("dto") ExportKCEvaluationInfoDTO dto);

}
