package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.logs.LogDTO;
import com.singularity.pojo.dto.logs.LogsSearchDTO;
import com.singularity.pojo.entity.Logs;
import com.singularity.pojo.vo.log.LogsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface LogsMapper extends BaseMapper<Logs> {
    int deleteByPrimaryKey(Integer id);

    int insert(Logs record);

    Logs selectByPrimaryKey(Integer id);

    List<Logs> selectAll();

    List<LogDTO> selectByPage();

    int updateByPrimaryKey(Logs record);

    int insertLogs(Logs record);
    /**
     * 查询日志内容
     * @param logDTO
     * @return
     */
    List<LogsVO> selectLogs(@Param("logDTO") LogsSearchDTO logDTO);
}
