package com.singularity.pojo.dto.attachment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(description = "批量删除文件入参")
public class DeleteAttachmentListDTO {

    @NotEmpty(message = "文件idList不能为空")
    @ApiModelProperty(value = "文件idList",required = true)
    private List<Long> attachIdList;


}
