package com.singularity.pojo.dto.attachment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("根据附件类型查询所有附件DTO")
public class QueryAllAttachmentByTypeDTO {

    @NotNull(message = "业务类型")
    @ApiModelProperty(required = true,value = "业务类型(0-KC数据文件,，1-NVH，2-KC试验报告，3-平顺性数据文件，4-平顺性试验报告)")
    private Integer businessType;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(required = true,value = "车辆id")
    private Integer carId;
}
