package com.singularity.pojo.dto.attachment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(description = "批量查询车辆对比文件列表入参")
public class QueryCompareFileListDTO {

    @NotEmpty(message = "车辆idList不能为空")
    @ApiModelProperty(required = true,value = "车辆idList")
    private List<Integer> carIdList;

    @NotNull(message = "业务类型不能为空")
    @ApiModelProperty(value = "业务类型")
    private Integer businessId;

}
