package com.singularity.pojo.dto.department;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DepartmentUpdateDTO {

    @ApiModelProperty(value = "部门id")
    private Integer id;

    @ApiModelProperty(value = "部门名称")
    @TableField("dept_name")
    private String deptName;

    @ApiModelProperty(value = "所属id")
    @TableField("parent_id")
    private Integer parentId = 0;

    @ApiModelProperty(value = "状态（0禁用，1启用）")
    @TableField("state")
    private Integer state;

}
