package com.singularity.pojo.dto.experiment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(description = "批量删除质心及转动惯量附件入参")
public class DeleteInertiaDTO {
    @NotEmpty(message = "质心及转动惯量附件idList不能为空")
    @ApiModelProperty(value = "质心及转动惯量附件idList",required = true)
    private List<Long> attachIdList;
}
