package com.singularity.pojo.dto.file;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(description = "删除文件参数")
public class DeleteNFileDTO {

    @ApiModelProperty(value = "对应文件id", dataType = "List<Long>", required = true)
    @NotEmpty(message = "文件idList不能为空")
    private List<Long> idList;


}
