package com.singularity.pojo.dto.kc;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

@Data
public class kcEvaluationExcelDTO {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "序号")
    private Integer serial;

    @ExcelProperty(value = "工况")
    private String conditionName;

//    @ExcelProperty(value = "指标")
//    private String indicatorName;

    @ExcelProperty(value = "指标")
    private String indicatorCode;

    @ExcelProperty(value = "单位")
    private String unit;

    @ExcelProperty(value = "方向")
    private String direction;

    @ExcelProperty(value = "右")
    private Double rightFront;

    @ExcelProperty(value = "左")
    private Double leftFront;

    @ExcelProperty(value = "均")
    private Double front1;

    @ExcelProperty(value = "左")
    private Double leftRear;

    @ExcelProperty(value = "右")
    private Double rightRear;

    @ExcelProperty(value = "均")
    private Double rear2;

    @ExcelIgnore
    private Integer conditionId;

    @ExcelIgnore
    private Integer attachId;

}
