package com.singularity.pojo.dto.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "DeleteFileDTO",description = "批量删除平顺性试验数据文件入参")
public class DeleteFileDTO {

    @NotEmpty(message = "文件idList不能为空")
    @ApiModelProperty(value = "文件idList",required = true)
    private List<Long> attachIdList;


}
