package com.singularity.pojo.dto.role;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author 天
 *
 * @description: 角色列表DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoleListDTO {

    private Long id;

    private String name;

    private String description;

    private String creatorName;

    private String status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;
}
