package com.singularity.pojo.dto.user;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.pojo.dto.role.RoleInfoDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author:qjl
 * @Description:用户详情信息
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserDetailDTO {

    private Integer id;

    private String phone;


    private String email;

    private String nickname;

    private String profile;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    private Integer departmentId;

    private String departmentName;

    private Integer gender;

    private List<RoleInfoDTO> roles = new ArrayList<>();
}
