package com.singularity.pojo.dto.vehicle;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class VehicleInformationSearchDTO {
    @NotNull(message = "业务类型不能为空")
    @ApiModelProperty(value = "业务类型(0-KC数据文件,，1-NVH，2-KC试验报告，" +
            "3-平顺性数据文件，4-平顺性试验报告，5-主观评价试验报告，6-平顺性试验曲线，7-操作稳定性数据文件，" +
            "8-操作稳定性试验曲线，9-操作稳定性实验报告，10-制动性数据文件，11-制动性试验曲线，12-制动性实验报告，" +
            "13-衬套数据数据文件，14-衬套数据试验曲线，15-衬套数据实验报告，16-滑行数据文件，17-滑行试验曲线，18-滑行实验报告，" +
            "19-减震器调试数据文件，20-减震器调试试验曲线，21-减震器调试实验报告，22-转向数据文件，23-转向试验曲线，24-转向实验报告，" +
            "25-轮胎学特性数据文件，26-轮胎学特性试验曲线，27-轮胎学特性实验报告,28-NVH绘图数据)，29-质心及转动惯量数据文件",example = "0",required = true)
    private Integer businessType;

    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "汽车id",required = true)
    private Integer carId;
}
