package com.singularity.pojo.excel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author 平
 * @description 图表基础返回结果
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseChartResult {

    private String title;

    private String labelOfX;

    private String labelOfY;

    private String labelOfZ;

    private String xUnit;

    private String yUnit;

    private String zUnit;

    private List<Double> x = new ArrayList<>();

    private List<Double> y = new ArrayList<>();

    private List<List<Double>> z = new ArrayList<>();

    private Map<String,Object> extraParam = new HashMap<>();

}
