package com.singularity.pojo.param.department.certification;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 平
 *
 * @description: 添加资质管理参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DepCertificationAddParam {

    private Long departmentId;

    private Integer describe;

    private List<MultipartFile> proveFile = new ArrayList<>();


}
