package com.singularity.pojo.param.department.certification;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 平
 *
 * @description: 修改资质管理参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DepCertificationUpdateParam {

    /**
     * id
     */
    private Long id;

    /**
     * 资质类型
     */
    private Integer describe;

    /**
     * 资质图片
     */
    private List<MultipartFile> proveFile = new ArrayList<>();

    /**
     * 数据库已经存储的资质图片id
     */
    private List<Long> OldProveFile = new ArrayList<>();

}
