package com.singularity.pojo.param.department.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.page.RequestDTOWithPage;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author 平
 *
 * @description: 统计查询参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StaQuerySelectParam extends RequestDTOWithPage {

    /**
     * 姓名
     */
    private String name;

    /**
     * 电话
     */
    private Long phone;

    /**
     * 订单编号
     */
    private Long orderNo;

    /**
     * 支付时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date payTime;

    /**
     * 采样时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date samplingTime;

}
