package com.singularity.pojo.param.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
public class NVHContentAddParam {

    @ApiModelProperty(value = "车辆id")
    private Integer carId;

    @ApiModelProperty(value = "菜单名称",dataType = "String")
    private String menuName;

    @ApiModelProperty(value = "父菜单id",dataType = "Long")
    private Long parentId;

    @ApiModelProperty(value = "节点层级",dataType = "Long")
    private Long level;

    @ApiModelProperty(value = "备注",dataType = "String")
    private String remark;

}
