package com.singularity.pojo.param.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 平
 * @description NVH文件参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NVHFileSelectParam {

    @ApiModelProperty(value = "文件id",dataType = "Long")
    private Long id;

    @ApiModelProperty(value = "对应表名",dataType = "String")
    private String ownerType;

    @ApiModelProperty(value = "对应表id",dataType = "Long")
    private Long ownerId;

    @ApiModelProperty(value = "文件名称",dataType = "String")
    private String name;


}
