package com.singularity.pojo.param.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 平
 * @description NVH更新参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NVHUpdateParam {

    @ApiModelProperty(value = "id",dataType = "Long",required = true)
    private Long id;

    @ApiModelProperty(value = "菜单名称",dataType = "String")
    private String menuName;

    @ApiModelProperty(value = "绘图类型（0：条形图，1：折线图，2：三维图）",dataType = "String")
    private String typeCode;

    @ApiModelProperty(value = "备注",dataType = "String")
    private String remark;

    @ApiModelProperty(value = "存在的附件id列表",dataType = "List<Long>")
    private List<Long> attachmentIds = new ArrayList<>();

    @ApiModelProperty(value = "需要删除的附件id列表",dataType = "List<Long>")
    private List<Long> deleteAttachmentIds = new ArrayList<>();


}
