package com.singularity.pojo.param.rideAbility;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class GetPictureParam {
    @ApiModelProperty(value = "车辆id",dataType = "Long")
    private Long carId;

    @ApiModelProperty(value = "业务类型(" +
            "0-KC数据文件,，1-NVH，2-KC试验报告，3-平顺性数据文件，4-平顺性试验报告，5-主观评价试验报告，" +
            "6-平顺性试验曲线，7-操作稳定性数据文件，8-操作稳定性试验曲线，9-操作稳定性实验报告)"
    )
    private int businessType;
}
