package com.singularity.pojo.param.user;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Data
public class UserUpdateParam {

    private Long id;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("图片")
    private MultipartFile profileFile;

    private Long departmentId;

    @ApiModelProperty("电话号码")
    private String phone;

    @ApiModelProperty("性别：0-男，1-女")
    private Integer gender;

    @ApiModelProperty("用户角色idList")
    private List<Long> roleList;

    // 后端参数
    @ApiModelProperty(value = "用户头像地址",hidden = true)
    private String profilePath;
}
