package com.singularity.pojo.vo.attachment;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("根据附件类型查询所有附件VO")
public class QueryAllAttachmentByTypeVO {

    @ApiModelProperty(value = "文件ID")
    private Integer id;

    @ApiModelProperty(value = "文件名")
    private String name;

    @ApiModelProperty(value = "文件大小")
    private Integer size;

    @ApiModelProperty(value = "试验台名称")
    private String testBed;

    @ApiModelProperty(value = "单双轴(0-单轴,1-双轴)")
    private Integer axle;

    @ApiModelProperty(value = "处理状态(0-待处理,1-处理中,2-完成,3-处理异常)")
    private Integer status;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedAt;

    @ApiModelProperty(value = "消耗时间")
    private Double timeConsuming;
}
