package com.singularity.pojo.vo.experiment;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PreprocessingVO {
    @ApiModelProperty(value = "附件id")
    private Integer attachId;

    @ApiModelProperty(value = "驾驶模式(0-标准)")
    private Integer drivingMode;

    @ApiModelProperty(value = "试验车速")
    private String testSpeed;

    @ApiModelProperty(value = "试验工况")
    private String conditionName;

    @ApiModelProperty(value = "试验工况简写")
    private String conditionCode;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;
}
