package com.singularity.pojo.vo.hading;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "查询操作稳定性数据文件列表出参")
public class QueryHandingFileListVO {

    @ApiModelProperty(value = "模板id")
    private Integer id;

    @ApiModelProperty(value = "业务类型 30:车辆信息导入模板")
    private String businessType;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件URL地址")
    private String path;

    @ApiModelProperty(value = "文件大小")
    private Long size;

    @ApiModelProperty(value = "操作人")
    private String operName;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载，3-超载）")
    private Integer carLoad;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "文件创建时间")
    private Date createTime;


}
