package com.singularity.pojo.vo.hading;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "查询行驶性能试验报告信息列表入参")
public class QueryRideAbilityReportInfoVO {

    @ApiModelProperty(value = "试验项目id")
    private Integer businessId;

    @ApiModelProperty(value = "试验项目名称")
    private String businessName;

    @ApiModelProperty(value = "数据表集合")
    private List<TableHeadSonVO> tableHeadSonList;

}
