package com.singularity.pojo.vo.hading;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "批量上传操作稳定性数据文件出参")
public class QueryTableDataVO {

    @ApiModelProperty(value = "数据表表名")
    private String tableName;

    @ApiModelProperty(value = "数据表表头数据集合")
    private Map<Integer,String> tableHeadMap;

    @ApiModelProperty(value = "数据表数据集合")
    private List<QueryTableDataSon> tableDataList;

    @Data
    public static class QueryTableDataSon {

        @ApiModelProperty(value = "数据行id")
        private Integer id;

        @ApiModelProperty(value = "数据表数据集合")
        private Map<Integer,String> tableDataMap;

    }
}
