package com.singularity.pojo.vo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "ReadKCFileListVO",description = "读取KC数据文件集合返回参数")
public class ReadKCFileListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "不同车辆相同图像绘图数据集合")
    private double[][] data;

    @ApiModelProperty(value = "图像名称")
    private String chartTitle;

    @ApiModelProperty(value = "图像legendList，data中有多少组数据，这里就有多少个legend")
    private List<String> legendList = new ArrayList<>();


}
