package com.singularity.pojo.vo.nvh;


import com.singularity.pojo.bo.attachment.AttachmentBO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "QueryNVHDataFileListVO",description = "批量查询NVH数据文件列表出参")
public class QueryNVHDataFileListVO {

    @ApiModelProperty(value = "车辆与试验数据文件关联map<车辆id,附件列表>")
    private Map<Long, List<AttachmentBO>> attachmentMap;


}
