package com.singularity.pojo.vo.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "对比平顺性试验结果返回参数")
public class CompareRideDataVO {

    @ApiModelProperty(value = "对比表头List")
    private List<String> tableHeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称，指标value>>）",dataType = "java.util.map")
    private Map<Integer, Map<String,Double>> data;


}
