package com.singularity.pojo.vo.slide;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel(description = "查询滑行道路载荷试验结果列表入参")
public class QuerySlideTestResultListVO {
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "At (N)")
    @TableField("at")
    private Double at;

    @ApiModelProperty(value = "Bt(N/km/h)")
    @TableField("bt")
    private Double bt;

    @ApiModelProperty(value = "Ct(N/(km/h)^2)")
    @TableField("ct")
    private Double ct;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;
}
