package com.singularity.pojo.vo.subjectiveEvaluation.measure;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "测点列表分页查询VO")
public class QueryMeasureInfoListVO {

    @ApiModelProperty(value = "测点id",dataType = "Integer")
    private Integer id;

    @ApiModelProperty(value = "工况名称",dataType = "String")
    private String conditionName;

    @ApiModelProperty(value = "测点名称",dataType = "String")
    private String measureName;

    @ApiModelProperty(value = "测点名称简写",dataType = "String")
    private String measureCode;

    @ApiModelProperty(value = "测点状态（1：正常，0：禁用）")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
