package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.bushing.CompareBushingDataDTO;
import com.singularity.pojo.dto.bushing.DeleteBushingDataFileDTO;
import com.singularity.pojo.dto.bushing.QueryBushingDataDTO;
import com.singularity.pojo.dto.bushing.UploadBushingFileDTO;
import com.singularity.common.entity.BushingChartData;
import com.singularity.common.entity.ChartDataModel;
import com.singularity.pojo.vo.bushing.CompareBushingDataVO;

public interface BushingChartDataService extends IService<BushingChartData> {

    /**
     * 上传衬套试验数据文件
     */
    void uploadBushingFile(UploadBushingFileDTO dto);

    /**
     * 批量删除衬套试验数据文件
     */
    void deleteFileList(DeleteBushingDataFileDTO dto);

    /**
     * 查看衬套试验数据详情
     */
    ChartDataModel queryBushingData(QueryBushingDataDTO dto);

    /**
     * 对比衬套试验数据结果
     */
    CompareBushingDataVO compareBushingData(CompareBushingDataDTO dto);
}
