package com.singularity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.DamperDataMapper;
import com.singularity.pojo.dto.damper.UpdateDamperDataFileDetailDTO;
import com.singularity.pojo.entity.DamperData;
import com.singularity.service.DamperDataService;
import org.springframework.stereotype.Service;

@Service
public class DamperDataServiceImpl extends ServiceImpl<DamperDataMapper, DamperData> implements DamperDataService {

    /**
     * 修改减震器试验数据文件详情
     */
    @Override
    public void updateDamperDataFileDetail(UpdateDamperDataFileDetailDTO dto) {
        DamperData damperData = new DamperData();
        BeanUtil.copyProperties(dto,damperData);
        this.updateById(damperData);
    }
}
