package com.singularity.service.impl;

import com.singularity.dao.LogsMapper;
import com.singularity.pojo.dto.logs.LogsSearchDTO;
import com.singularity.pojo.entity.Logs;
import com.singularity.service.LogsService;
import com.singularity.pojo.vo.log.LogsVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class LogsServiceImpl implements LogsService {
    @Resource
    private final LogsMapper logsMapper;

    public LogsServiceImpl(LogsMapper logsMapper) {
        this.logsMapper = logsMapper;
    }

    @Override
    public void insertLog(Logs logs) {
        logsMapper.insertLogs(logs);
    }

    @Override
    public List<LogsVO> selectLogs(LogsSearchDTO logDTO) {
        return logsMapper.selectLogs(logDTO);
    }
}
