package com.singularity.util.Param;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubjectiveEvaluationWordParam {
    /**
     * 起始行
     */
    private Integer startRow;

    /**
     * 起始列
     */
    private Integer startCell;

    /**
     * 插入数据
     */
    private List<String[]> data=new ArrayList<>();
}
