package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.entity.CarBasicParam;
import com.singularity.pojo.vo.nvh.QueryTestCountVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CarBasicParamMapper extends BaseMapper<CarBasicParam> {

    List<QueryTestCountVO> queryKCTestCount(@Param("year") int year);

    List<QueryTestCountVO> queryDrivingTestCount(@Param("year") int year);

    Long queryDrivingTestCountNum(@Param("month") String month);

    List<QueryTestCountVO> querySubjectiveTestCount(@Param("year") int year);

    Long querySubjectiveTestCountNum(@Param("month") String month);

}
