package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.nvh.GetNVHMenuTreeDTO;
import com.singularity.pojo.entity.MenuInfo;
import com.singularity.pojo.vo.nvh.GetNVHMenuTreeVO;
import com.singularity.pojo.vo.nvh.QueryTestCountVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MenuInfoMapper extends BaseMapper<MenuInfo> {

    List<GetNVHMenuTreeVO> selectFirstMenuInfo(@Param("dto") GetNVHMenuTreeDTO dto);

    List<QueryTestCountVO> queryNVHTestCount(@Param("year") int year);
}
