package com.singularity.pojo.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "查询文件业务类型列表入参")
public class QueryBusinessTypeListDTO {

    @NotNull(message = "业务类型不能为空")
    @ApiModelProperty(value = "业务类型（0：数据文件,1:关键指标，2：试验报告，3：试验报告模板）")
    private Integer businessType;

}
