package com.singularity.pojo.dto.damper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "对比减震器试验数据文件详情入参")
public class CompareDamperDataFileDetailDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆id对应map<车辆id,附件id>")
    private Map<Integer,Integer> map;

}
