package com.singularity.pojo.dto.department;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.pojo.entity.Department;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DepartmentDTO {
    /**
     *id
     */
    private Integer id;

    /**
     * 部门名称
     */
    private String departmentName;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态（0禁用，1启用）
     */
    private Integer state;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createdAt;


    List<Department> departmentList=new ArrayList<>();
}
