package com.singularity.pojo.dto.experiment;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * @author 宇
 * @description 修改预处理参数
 */
@Data
public class PreprocessingDTO {
    @ApiModelProperty(value = "附件id")
    private Integer attachId;

    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @ApiModelProperty(value = "驾驶模式(0-标准)")
    private Integer drivingMode;

    @ApiModelProperty(value = "试验车速")
    private String testSpeed;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;
}
