package com.singularity.pojo.dto.file;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "UploadFileDTO",description = "批量上传附件DTO")
public class UploadFileDTO {

    @ApiModelProperty(value = "文件对应表id",dataType = "Long",required = true)
    @NotNull(message = "文件对应表id不能为空")
    private Long ownerId;

    @ApiModelProperty(value = "文件对应表名",dataType = "String",required = true)
    @NotNull(message = "文件对应表名不能为空")
    private String ownerType;

}
