package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "查询试验数据表入参")
public class QueryTableDataDTO {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(required = true,value = "车辆id")
    private Integer carId;

    @NotNull(message = "附件id不能为空")
    @ApiModelProperty(value = "附件id",required = true)
    private Integer id;


}
