package com.singularity.pojo.dto.kc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CarDataStatisticsDTO {
    /**
     * 年份统计
     */
    private Map<Long, Integer> yearMap = new HashMap<>();

    /**
     * 级别统计
     */
    private Map<Integer, Integer> levelMap = new HashMap<>();

    /**
     * 类别统计
     */
    private Map<String, Integer> categoryMap = new HashMap<>();

    /**
     * 国别统计
     */
    private Map<String, Integer> countryMap = new HashMap<>();

    /**
     * 能源统计
     */
    private Map<String, Integer> energyMap = new HashMap<>();


}
