package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "KCDrawChartDTO",description = "KC绘制图像入参")
public class KCDrawChartDTO {

    @ApiModelProperty(value = "附件objNameList",required = true)
    private List<String> objNameList;

    @ApiModelProperty(value = "测点名称")
    private String measureCode;

    @ApiModelProperty(value = "x轴最小区间",dataType = "Double",example = "0")
    private Double minX = 0d;

    @ApiModelProperty(value = "x轴最大区间",dataType = "Double",example = "0")
    private Double MaxX = 0d;

    @ApiModelProperty(value = "y轴最小区间",dataType = "Double",example = "0")
    private Double minY = 0d;

    @ApiModelProperty(value = "y轴最大区间",dataType = "Double",example = "0")
    private Double maxY = 0d;


}
