package com.singularity.pojo.dto.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "CreateRideTestReportDTO",description = "根据模板生成平顺性试验报告入参")
public class CreateRideTestReportDTO {

    @NotEmpty(message = "图片objNameList不能为空")
    @ApiModelProperty(value = "图片objNameList",dataType = "java.util.List")
    private List<String> objNameList;

    @NotNull(message = "模板objName不能为空")
    @ApiModelProperty(value = "模板objName",dataType = "java.long.String")
    private String objName;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",dataType = "java.long.Integer")
    private Integer carId;


}
