package com.singularity.pojo.dto.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

@Data
public class SubjectiveIdDTO {

    @ApiModelProperty(value = "车辆对比信息map集合,Map<车辆id,评价人姓名>",dataType = "Map<Long,String>")
    private Map<Long,String> carMap;

    @ApiModelProperty(value = "0：商用车行驶性能主观评价，1：乘用车行驶性能主观评价，2：乘用车商品性主观评价，3：货车商品性主观评价" +
            "4：客车商品性主观评价，5：NVH性能主观评价")
    private Integer reviewType;
}
