package com.singularity.pojo.dto.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "根据业务类型查询模板URL地址入参")
public class GetOneTemplateDTO {

    @NotNull(message = "文件对应业务类型不能为空")
    @ApiModelProperty(value = "业务类型",required = true)
    private Integer businessId;

}
