package com.singularity.pojo.dto.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "根据业务类型查询模板URL地址入参")
public class GetTempURLByBusinessTypeDTO {

    @ApiModelProperty(value = "业务类型",required = true)
    private Integer businessType;

    @ApiModelProperty(value = "业务类型List",required = true)
    private List<Integer> businessTypeList;

}
