package com.singularity.pojo.dto.user;

import com.singularity.pojo.dto.permission.PermissionInfoDTO;
import com.singularity.pojo.dto.role.RoleInfoDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 天
 *
 * @description: 用户信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserInfoDTO {

    private Integer id;

    private String phone;

    private String email;

    private String nickname;

    private String profile;

    private Integer departmentId;

    private Integer shopInfoId;

    private List<RoleInfoDTO> roles = new ArrayList<>();

    private List<PermissionInfoDTO> permissions = new ArrayList<>();
}
