package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;

@Data
@TableName("user")
public class User {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String phone;

    private String password;

    private String email;

    private String nickname;

    private String profile;

    @TableField(fill = FieldFill.INSERT)
    private Date registerTime;

    private Integer departmentId;

    private Integer gender;

    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;

    private Date deletedAt;

}
