package com.singularity.pojo.param.department.specimen;

import com.singularity.util.page.RequestDTOWithPage;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 平
 *
 * @description: 样品管理查询参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SpecimenSelectParam extends RequestDTOWithPage {

     /**
      * 姓名
      */
     private String name;

     /**
      * 电话
      */
     private Long phone;

     /**
      * 订单编号
      */
     private Long orderNo;

     /**
      * 付款时间
      */
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date samplingTime;

}
