package com.singularity.pojo.param.kc;


import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class CarKeyIndexCopyParam {

    /**
     *
     */
    @ExcelProperty({"RfLongPositionFbk", "mm"})
    private Double rflongpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RfLatPositionFbk", "mm"})
    private Double rflatpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RfVertPositionFbk", "mm"})
    private Double rfvertpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RfRollPositionFbk", "deg"})

    private Double rfrollpositionfbk;

    /**
     *
     */@ExcelProperty({"RfSteerPositionFbk", "deg"})

    private Double rfsteerpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RfLongPositionCmd", "mm"})

    private Double rflongpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RfLatPositionCmd", "mm"})

    private Double rflatpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RfVertPositionCmd", "mm"})

    private Double rfvertpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RfRollPositionCmd", "deg"})
    private Double rfrollpositioncmd;

    /**
     *
     */

    @ExcelProperty({"RfSteerPositionCmd", "deg"})
    private Double rfsteerpositioncmd;

    /**
     *
     */

    @ExcelProperty({"RfLongForceFbk", "N"})
    private Double rflongforcefbk;

    /**
     *
     */

    @ExcelProperty({"RfLatForceFbk", "N"})
    private Double rflatforcefbk;

    /**
     *
     */

    @ExcelProperty({"RfVertForceFbk", "N"})
    private Double rfvertforcefbk;

    /**
     *
     */

    @ExcelProperty({"RfMx", "Nm"})
    private Double rfmx;

    /**
     *
     */

    @ExcelProperty({"RfMy", "Nm"})

    private Double rfmy;

    /**
     *
     */
    @ExcelProperty({"RfAligningTorqueFbk", "Nm"})

    private Double rfaligningtorquefbk;

    /**
     *
     */
    @ExcelProperty({"RfLongForceCmd", "N"})

    private Double rflongforcecmd;

    /**
     *
     */
    @ExcelProperty({"RfLatForceCmd", "N"})

    private Double rflatforcecmd;

    /**
     *
     */
    @ExcelProperty({"RfVertForceCmd", "N"})

    private Double rfvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"RfAligningTorqueCmd", "Nm"})

    private Double rfaligningtorquecmd;

    /**
     *
     */
    @ExcelProperty({"RfX0", "mm"})

    private Double rfx0;

    /**
     *
     */
    @ExcelProperty({"RfY0", "mm"})

    private Double rfy0;

    /**
     *
     */
    @ExcelProperty({"RfZ0", "mm"})

    private Double rfz0;

    /**
     *
     */
    @ExcelProperty({"RfCamber", "deg"})

    private Double rfcamber;

    /**
     *
     */
    @ExcelProperty({"RfSteer", "deg"})
    private Double rfsteer;

    /**
     *
     */

    @ExcelProperty({"RfSpin", "deg"})
    private Double rfspin;

    /**
     *
     */
    @ExcelProperty({"RfToe", "deg"})
    private Double rftoe;

    /**
     *
     */
    @ExcelProperty({"LfLongPositionFbk", "mm"})


    private Double lflongpositionfbk;

    /**
     *
     */

    @ExcelProperty({"LfLatPositionFbk", "mm"})

    private Double lflatpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LfVertPositionFbk", "mm"})
    private Double lfvertpositionfbk;

    /**
     *
     */

    @ExcelProperty({"LfRollPositionFbk", "deg"})
    private Double lfrollpositionfbk;

    /**
     *
     */

    @ExcelProperty({"LfSteerPositionFbk", "deg"})
    private Double lfsteerpositionfbk;

    /**
     *
     */

    @ExcelProperty({"LfLongPositionCmd", "mm"})
    private Double lflongpositioncmd;

    /**
     *
     */

    @ExcelProperty({"LfLatPositionCmd", "mm"})
    private Double lflatpositioncmd;

    /**
     *
     */

    @ExcelProperty({"LfVertPositionCmd", "mm"})
    private Double lfvertpositioncmd;

    /**
     *
     */

    @ExcelProperty({"LfRollPositionCmd", "deg"})
    private Double lfrollpositioncmd;

    /**
     *
     */

    @ExcelProperty({"LfSteerPositionCmd", "deg"})
    private Double lfsteerpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LfLongForceFbk", "N"})
    private Double lflongforcefbk;

    /**
     *
     */

    @ExcelProperty({"LfLatForceFbk", "N"})
    private Double lflatforcefbk;

    /**
     *
     */


    @ExcelProperty({"LfVertForceFbk", "N"})

    private Double lfvertforcefbk;

    /**
     *
     */

    @ExcelProperty({"LfMx", "Nm"})
    private Double lfmx;

    /**
     *
     */
    @ExcelProperty({"LfMy", "Nm"})

    private Double lfmy;

    /**
     *
     */
    @ExcelProperty({"LfAligningTorqueFbk", "Nm"})
    private Double lfaligningtorquefbk;

    /**
     *
     */

    @ExcelProperty({"LfLongForceCmd", "N"})
    private Double lflongforcecmd;

    /**
     *
     */

    @ExcelProperty({"LfLatForceCmd", "N"})
    private Double lflatforcecmd;

    /**
     *
     */

    @ExcelProperty({"LfVertForceCmd", "N"})

    private Double lfvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"LfAligningTorqueCmd", "Nm"})

    private Double lfaligningtorquecmd;

    /**
     *
     */
    @ExcelProperty({"LfX0", "mm"})

    private Double lfx0;

    /**
     *
     */
    @ExcelProperty({"LfY0", "mm"})

    private Double lfy0;

    /**
     *
     */

    @ExcelProperty({"LfZ0", "mm"})

    private Double lfz0;

    /**
     *
     */
    @ExcelProperty({"LfCamber", "deg"})

    private Double lfcamber;

    /**
     *
     */
    @ExcelProperty({"LfSteer", "deg"})

    private Double lfsteer;

    /**
     *
     */
    @ExcelProperty({"LfSpin", "deg"})

    private Double lfspin;

    /**
     *
     */
    @ExcelProperty({"LfToe", "deg"})

    private Double lftoe;

    /**
     *
     */
    @ExcelProperty({"RrLongPositionFbk", "mm"})

    private Double rrlongpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RrLatPositionFbk", "mm"})

    private Double rrlatpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RrVertPositionFbk", "mm"})

    private Double rrvertpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RrRollPositionFbk", "deg"})

    private Double rrrollpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RrSteerPositionFbk", "deg"})

    private Double rrsteerpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RrLongPositionCmd", "mm"})

    private Double rrlongpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RrLatPositionCmd", "mm"})

    private Double rrlatpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RrVertPositionCmd", "mm"})

    private Double rrvertpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RrRollPositionCmd", "deg"})

    private Double rrrollpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RrSteerPositionCmd", "deg"})

    private Double rrsteerpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RrLongForceFbk", "N"})

    private Double rrlongforcefbk;

    /**
     *
     */
    @ExcelProperty({"RrLatForceFbk", "N"})

    private Double rrlatforcefbk;

    /**
     *
     */
    @ExcelProperty({"RrVertForceFbk", "N"})

    private Double rrvertforcefbk;

    /**
     *
     */
    @ExcelProperty({"RrMx", "Nm"})

    private Double rrmx;

    /**
     *
     */
    @ExcelProperty({"RrMy", "Nm"})

    private Double rrmy;

    /**
     *
     */
    @ExcelProperty({"RrAligningTorqueFbk", "Nm"})

    private Double rraligningtorquefbk;

    /**
     *
     */
    @ExcelProperty({"RrLongForceCmd", "N"})

    private Double rrlongforcecmd;

    /**
     *
     */
    @ExcelProperty({"RrLatForceCmd", "N"})

    private Double rrlatforcecmd;

    /**
     *
     */
    @ExcelProperty({"RrVertForceCmd", "N"})

    private Double rrvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"RrAligningTorqueCmd", "Nm"})

    private Double rraligningtorquecmd;

    /**
     *
     */
    @ExcelProperty({"RrX0", "mm"})

    private Double rrx0;

    /**
     *
     */
    @ExcelProperty({"RrY0", "mm"})

    private Double rry0;

    /**
     *
     */
    @ExcelProperty({"RrZ0", "mm"})

    private Double rrz0;

    /**
     *
     */
    @ExcelProperty({"RrCamber", "deg"})

    private Double rrcamber;

    /**
     *
     */
    @ExcelProperty({"RrSteer", "deg"})

    private Double rrsteer;

    /**
     *
     */
    @ExcelProperty({"RrSpin", "deg"})

    private Double rrspin;

    /**
     *
     */
    @ExcelProperty({"RrToe", "deg"})

    private Double rrtoe;

    /**
     *
     */
    @ExcelProperty({"LrLongPositionFbk", "mm"})

    private Double lrlongpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LrLatPositionFbk", "mm"})

    private Double lrlatpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LrVertPositionFbk", "mm"})

    private Double lrvertpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LrRollPositionFbk", "deg"})

    private Double lrrollpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LrSteerPositionFbk", "deg"})

    private Double lrsteerpositionfbk;

    /**
     *
     */
    @ExcelProperty({"LrLongPositionCmd", "mm"})

    private Double lrlongpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LrLatPositionCmd", "mm"})

    private Double lrlatpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LrVertPositionCmd", "mm"})

    private Double lrvertpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LrRollPositionCmd", "deg"})

    private Double lrrollpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LrSteerPositionCmd", "deg"})

    private Double lrsteerpositioncmd;

    /**
     *
     */
    @ExcelProperty({"LrLongForceFbk", "N"})

    private Double lrlongforcefbk;

    /**
     *
     */
    @ExcelProperty({"LrLatForceFbk", "N"})

    private Double lrlatforcefbk;

    /**
     *
     */
    @ExcelProperty({"LrVertForceFbk", "N"})

    private Double lrvertforcefbk;

    /**
     *
     */
    @ExcelProperty({"LrMx", "Nm"})

    private Double lrmx;

    /**
     *
     */
    @ExcelProperty({"LrMy", "Nm"})

    private Double lrmy;

    /**
     *
     */
    @ExcelProperty({"LrAligningTorqueFbk", "Nm"})

    private Double lraligningtorquefbk;

    /**
     *
     */
    @ExcelProperty({"LrLongForceCmd", "N"})

    private Double lrlongforcecmd;

    /**
     *
     */
    @ExcelProperty({"LrLatForceCmd", "N"})

    private Double lrlatforcecmd;

    /**
     *
     */
    @ExcelProperty({"LrVertForceCmd", "N"})

    private Double lrvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"LrAligningTorqueCmd", "Nm"})

    private Double lraligningtorquecmd;

    /**
     *
     */
    @ExcelProperty({"LrX0", "mm"})

    private Double lrx0;

    /**
     *
     */
    @ExcelProperty({"LrY0", "mm"})

    private Double lry0;

    /**
     *
     */
    @ExcelProperty({"LrZ0", "mm"})

    private Double lrz0;

    /**
     *
     */
    @ExcelProperty({"LrCamber", "deg"})

    private Double lrcamber;

    /**
     *
     */
    @ExcelProperty({"LrSteer", "deg"})

    private Double lrsteer;

    /**
     *
     */
    @ExcelProperty({"LrSpin", "deg"})

    private Double lrspin;

    /**
     *
     */
    @ExcelProperty({"LrToe", "deg"})

    private Double lrtoe;

    /**
     *
     */
    @ExcelProperty({"FrontVertPositionFbk", "mm"})

    private Double frontvertpositionfbk;

    /**
     *
     */
    @ExcelProperty({"FrontVertPositionCmd", "mm"})

    private Double frontvertpositioncmd;

    /**
     *
     */
    @ExcelProperty({"FrontVertForceFbk", "N"})

    private Double frontvertforcefbk;

    /**
     *
     */
    @ExcelProperty({"FrontVertForceCmd", "N"})

    private Double frontvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"FrontRollPositionFbk", "deg"})

    private Double frontrollpositionfbk;

    /**
     *
     */
    @ExcelProperty({"FrontRollPositionCmd", "deg"})

    private Double frontrollpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RearVertPositionFbk", "mm"})

    private Double rearvertpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RearVertPositionCmd", "mm"})

    private Double rearvertpositioncmd;

    /**
     *
     */
    @ExcelProperty({"RearVertForceFbk", "N"})

    private Double rearvertforcefbk;

    /**
     *
     */
    @ExcelProperty({"RearVertForceCmd", "N"})

    private Double rearvertforcecmd;

    /**
     *
     */
    @ExcelProperty({"RearRollPositionFbk", "deg"})

    private Double rearrollpositionfbk;

    /**
     *
     */
    @ExcelProperty({"RearRollPositionCmd", "deg"})

    private Double rearrollpositioncmd;

    /**
     *
     */
    @ExcelProperty({"SteeringWheelAngle", "deg"})

    private Double steeringwheelangle;

    /**
     *
     */
    @ExcelProperty({"SteeringWheelAngleCmd", "deg"})

    private Double steeringwheelanglecmd;

    /**
     *
     */
    @ExcelProperty({"SteeringWheelTorque", "Nm"})

    private Double steeringwheeltorque;

    /**
     *
     */
    @ExcelProperty({"SteeringWheelTorqueCmd", "Nm"})

    private Double steeringwheeltorquecmd;

    /**
     *
     */
    @ExcelProperty({"FrontWheelTrack", "mm"})

    private Double frontwheeltrack;

    /**
     *
     */
    @ExcelProperty({"RearWheelTrack", "mm"})

    private Double rearwheeltrack;

    /**
     *
     */
    @ExcelProperty({"Wheelbase", "mm"})

    private Double wheelbase;

    /**
     *
     */
    @ExcelProperty({"SampleTime", "secs"})

    private Double sampletime;

}