package com.singularity.pojo.param.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SubjectiveEvaluationsParam {

    @ApiModelProperty(value = "车辆对应id",dataType = "Long")
    private List<Long> carIdList;

    @ApiModelProperty(value = "0：商用车行驶性能主观评价，1：乘用车行驶性能主观评价，2：乘用车商品性主观评价，3：货车商品性主观评价" +
            "4：客车商品性主观评价，5：NVH性能主观评价")
    private Integer reviewType;
}
