package com.singularity.pojo.vo.attachment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "UploadAttachmentVO",description = "文件上传返回参数")
public class UploadAttachmentVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件名")
    private String name;

    @ApiModelProperty(value = "文件存储名称")
    private String objName;

    @ApiModelProperty(value = "文件路径")
    private String path;

    @ApiModelProperty(value = "获取文件资源路径")
    private String url;

    @ApiModelProperty(value = "文件类型")
    private String type;

    @ApiModelProperty(value = "文件大小")
    private Long size;
}
