package com.singularity.pojo.vo.car;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "查询车辆试验参数列表VO")
public class CarExperimentParamListQueryVO {

    @ApiModelProperty(value = "附件id")
    private Long id;

    @ApiModelProperty(value = "数据文件objName")
    private String objName;

    @ApiModelProperty(value = "车辆名称")
    private String carName;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;

    @ApiModelProperty(value = "引擎是否启用（0-是，1否）")
    private Integer engine;

    @ApiModelProperty(value = "前横向稳定杆是否启用（0-是，1否）")
    private Integer frontBar;

    @ApiModelProperty(value = "后横向稳定杆是否启用（0-是，1否）")
    private Integer rearBar;

    @ApiModelProperty(value = "转向助力")
    private Integer powerSteering;

}
