package com.singularity.pojo.vo.hading;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "对比操作稳定性试验数据表出参")
public class CompareHandingTableDataVO {

    @ApiModelProperty(value = "对比表头List")
    private List<String> tableHeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，指标valueList>）",dataType = "java.util.map")
    private Map<Long, Map<String,String>> data;

}
