package com.singularity.pojo.vo.kc;

import com.singularity.pojo.entity.Attachment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "批量查询K&C数据文件列表出参")
public class QueryKCAttachmentListVO {

    @ApiModelProperty(value = "车辆与试验数据文件关联map<车辆id,附件列表>")
    private Map<Long,List<Attachment>> attachmentMap;


}
