package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.damper.*;
import com.singularity.common.entity.ChartDataModel;
import com.singularity.common.entity.PartChartData;
import com.singularity.pojo.vo.damper.CompareDamperDataFileDetailVO;
import com.singularity.pojo.vo.damper.QueryDamperCompareChartDataVO;
import com.singularity.pojo.vo.damper.QueryDamperDataFileDetailVO;

import java.util.List;

public interface DamperChartDataService extends IService<PartChartData> {

    void uploadDamperDataFile(UploadDamperDataFileDTO dto);

    void deleteDamperReport(DeleteDamperAttachmentDTO dto);

    QueryDamperDataFileDetailVO queryDamperDataFileDetail(QueryDamperDataFileDetailDTO dto);

    List<ChartDataModel> queryDamperChartDataList(QueryDamperChartDataListDTO dto);

    CompareDamperDataFileDetailVO compareDamperDataFileDetail(CompareDamperDataFileDetailDTO dto);

    List<QueryDamperCompareChartDataVO> queryDamperCompareChartData(QueryDamperCompareChartDataDTO dto);
}
