package com.singularity.service;

import com.singularity.common.entity.ChartDataModel;
import com.singularity.pojo.dto.spring.QuerySpringChartDataListDTO;
import com.singularity.pojo.dto.spring.QuerySpringCompareChartDataDTO;
import com.singularity.pojo.dto.spring.UploadSpringResourceFileDTO;
import com.singularity.pojo.dto.spring.UploadSpringResultFileDTO;
import com.singularity.pojo.vo.spring.QuerySpringCompareChartDataVO;

import java.util.List;

public interface SpringService {

    void uploadSpringResourceFile(UploadSpringResourceFileDTO dto);

    void uploadSpringResultFile(UploadSpringResultFileDTO dto);

    List<ChartDataModel> querySpringChartDataList(QuerySpringChartDataListDTO dto);

    List<QuerySpringCompareChartDataVO> querySpringCompareChartData(QuerySpringCompareChartDataDTO dto);
}
