package com.singularity.util.authentication;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * @author 天
 * Time: 2023/11/27 10:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class IdCardResSuccessData {

    public static final String SIDE_FRONT = "front";

    public static final String SIDE_BACK = "back";

    private String order_no;

    /**
     * 扫描状态 0-成功 1-失败
     */
    private Integer result;

    /**
     * 正反面 front-人像面 back-国徽面
     */
    private String side;

    /**
     * 身份证信息
     */
    private IdCardInfo info;

    /**
     * 扫描成功结果，详情见下方备注
     */
    private IdCardValidity validity;

    /**
     * 身份证头像url
     */
    private String image_url;
}
